<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->id();
            $table->string('userId')->nullable();
            $table->string('loadLocation')->nullable();
            $table->string('unLoadLocation')->nullable();
            $table->string('truckType')->nullable();
            $table->string('qty')->nullable();
            $table->string('productDetails')->nullable();
            $table->string('offerFare')->nullable();
            $table->string('tripDetails')->nullable();
            $table->string('date')->nullable();
            $table->string('time')->nullable();
            $table->string('status')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
